From 46a54e7abe3c38aba4d5f2afb69d7477c5d4f240 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 17 2020 23:44:03 +0000
Subject: [PATCH 284/2232] Format with rustfmt 2020-03-11


---

diff --git a/gen/write.rs b/gen/write.rs
index b8d17df..9a2e4c8 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -45,13 +45,16 @@ pub(super) fn gen(
         }
     }
 
-    let methods_for_type = apis.iter().filter_map(|api| match api {
-        Api::RustFunction(efn) => match &efn.sig.receiver {
-            Some(rcvr) => Some((&rcvr.ident, efn)),
+    let methods_for_type = apis
+        .iter()
+        .filter_map(|api| match api {
+            Api::RustFunction(efn) => match &efn.sig.receiver {
+                Some(rcvr) => Some((&rcvr.ident, efn)),
+                _ => None,
+            },
             _ => None,
-        },
-        _ => None,
-    }).into_group_map();
+        })
+        .into_group_map();
 
     for api in apis {
         match api {
@@ -59,15 +62,13 @@ pub(super) fn gen(
                 out.next_section();
                 write_struct(out, strct);
             }
-            Api::RustType(ety) => {
-                match methods_for_type.get(&ety.ident) {
-                    Some(methods) => {
-                        out.next_section();
-                        write_struct_with_methods(out, ety, methods);
-                    },
-                    _ => {}
+            Api::RustType(ety) => match methods_for_type.get(&ety.ident) {
+                Some(methods) => {
+                    out.next_section();
+                    write_struct_with_methods(out, ety, methods);
                 }
-            }
+                _ => {}
+            },
             _ => {}
         }
     }
@@ -368,7 +369,11 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         Some(base) => base.ident.to_string(),
         None => "_".to_string(),
     };
-    write!(out, "{}cxxbridge02${}${}(", out.namespace, receiver_type, efn.ident);
+    write!(
+        out,
+        "{}cxxbridge02${}${}(",
+        out.namespace, receiver_type, efn.ident
+    );
     if let Some(base) = &efn.receiver {
         write!(out, "{} *__receiver$", base.ident);
     }
@@ -404,8 +409,11 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
     }
     write!(out, ")");
     match &efn.receiver {
-        Some(Receiver { mutability: None, ident: _ }) => write!(out, " const"),
-        _ => {},
+        Some(Receiver {
+            mutability: None,
+            ident: _,
+        }) => write!(out, " const"),
+        _ => {}
     }
     write!(out, " = ");
     match &efn.receiver {
@@ -517,7 +525,10 @@ fn write_rust_function_decl(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         Some(base) => base.ident.to_string(),
         None => "_".to_string(),
     };
-    let link_name = format!("{}cxxbridge02${}${}", out.namespace, receiver_type, efn.ident);
+    let link_name = format!(
+        "{}cxxbridge02${}${}",
+        out.namespace, receiver_type, efn.ident
+    );
     let indirect_call = false;
     write_rust_function_decl_impl(out, &link_name, efn, types, indirect_call);
 }
@@ -573,7 +584,10 @@ fn write_rust_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
         Some(base) => base.ident.to_string(),
         None => "_".to_string(),
     };
-    let invoke = format!("{}cxxbridge02${}${}", out.namespace, receiver_type, efn.ident);
+    let invoke = format!(
+        "{}cxxbridge02${}${}",
+        out.namespace, receiver_type, efn.ident
+    );
     let indirect_call = false;
     write_rust_function_shim_impl(out, &local_name, efn, types, &invoke, indirect_call);
 }

